import { EventStreamCodec } from "@smithy/eventstream-codec";
import { MessageSigner } from "@smithy/types";
import { Transform, TransformCallback, TransformOptions } from "stream";
export interface EventSigningStreamOptions extends TransformOptions {
  priorSignature: string;
  messageSigner: MessageSigner;
  eventStreamCodec: EventStreamCodec;
}
export declare class EventSigningStream extends Transform {
  private priorSignature;
  private messageSigner;
  private eventStreamCodec;
  constructor(options: EventSigningStreamOptions);
  _transform(
    chunk: Uint8Array,
    encoding: string,
    callback: TransformCallback
  ): Promise<void>;
}
